<div *ngIf="data.salesUnitRequirement.idReqTyp == 102 ||
            data.salesUnitRequirement.idReqTyp == null">
<div class="ui-g">
    <!-- {{data}} -->
    <div class="ui-g-12">
        <table style="width: 100%;" border="1">
            <tr>
                <td style="width: 20%"></td>
                <td style="width: 40%"></td>
                <td style="width: 40%">Revisi</td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.nama1'|translate}}</td>
                <td>{{personalCustomer.person.firstName}}</td>
                <td><input [disabled]="isComplete" type="text" [(ngModel)]="data.vrnama1" style="width:100%" maxlength="50"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.nama2'|translate}}</td>
                <td>{{personalCustomer.person.lastName}}</td>
                <td><input [disabled]="isComplete" [(ngModel)]="data.vrnama2" type="text" style="width:100%" maxlength="50"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.marketName'|translate}}</td>
                <td>{{data.salesUnitRequirement.productName}}</td>
                <td><input [disabled]="isComplete" [(ngModel)]="data.vrnamamarket" type="text" style="width:100%" maxlength="50"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.color'|translate}}</td>
                <td>{{data.salesUnitRequirement.colorDescription}}</td>
                <td><input [disabled]="isComplete" [(ngModel)]="data.vrwarna" type="text" style="width:100%" maxlength="50"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.productionYear'|translate}}</td>
                <td>{{data.salesUnitRequirement.productYear}}</td>
                <td><input [disabled]="isComplete" type="number" [(ngModel)]="data.vrtahunproduksi" style="width:100%" onKeyPress="if(this.value.length==4) return false;" jhiNumbers></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.installment'|translate}}</td>
                <td>{{data.salesUnitRequirement.creditInstallment}}</td>
                <td><input [disabled]="isComplete" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" [(ngModel)]="data.vrangsuran" type="text" style="width:100%" maxlength="18"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.tenor'|translate}}</td>
                <td>{{data.salesUnitRequirement.creditTenor}}</td>
                <td><input [disabled]="isComplete" [(ngModel)]="data.vrtenor" type="number" style="width:100%" jhiNumbers onKeyPress="if(this.value.length==4) return false;"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.leasing'|translate}}</td>
                <td>{{data.leasingName}}</td>
                <td><input [disabled]="isComplete" [(ngModel)]="data.vrleasing" type="text" style="width:100%" maxlength="30"></td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.senderDate'|translate}}</td>
                <td>{{dateSchedulle | date:'yy-mm-dd'}}</td>
                <td>
                    <p-calendar 
                        inputId="field_dateCreate4" 
                        [(ngModel)]="data.vrtglpengiriman" 
                        name="input_dateCreate4"
                        dateFormat="yy-mm-dd"
                        [style]="{'width':'100%'}"
                        [showIcon]="true"
                        [disabled]="isComplete"
                    ></p-calendar>
                    <div *ngIf="data">
                        {{data.vrtglpengiriman}}
                    </div>
                </td>
            </tr>
            <tr>
                <td>{{'mpmApp.vehicleSalesOrder.senderHour'|translate}}</td>
                <td>
                    <div *ngIf="dateSchedulle !== null">{{dateSchedulle | date:'HH:mm'}}</div>
                </td>
                <td>
                    <input [disabled]="isComplete" [(ngModel)]="data.vrjampengiriman" type="text" style="width:100%" maxlength="20" >
                </td>
            </tr>
        </table>
        
        <div class="col-md-12" style="border-top:1px solid;padding-top:10px;margin-top:10px;margin-bottom: 10px;">
            <div class="row">
                <div class="col-md-6">
                    <label class="form-control-label" for="field_tipePenjualan">{{'mpmApp.vehicleSalesOrder.typeSales'|translate}}</label>
                </div>
                <div class="col-md-6">
                    <select class="form-control" id="field_product" name="product" [(ngModel)]="data.vrtipepenjualan" >
                        <option [ngValue]="null"></option>                        
                        <option >Regular Sales</option>
                        <option >Credit Sales</option>
                        <option >Regular Sales - Off The Road</option>
                        <option >Credit Sales - Off The Road</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-3">
                    <label class="form-control-label" for="field_dpMurni">{{'mpmApp.vehicleSalesOrder.dpMurni'|translate}}</label>
                </div>
                <div class="col-md-3">
                   : {{data.vrdpmurni | currency : 'IDR' : true}}
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <input [disabled]="isComplete" type="text" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" [(ngModel)]="data.vrdpmurni" class="form-control" name="dpMurni" id="field_dpMurni" maxlength="18"/>
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-3">
                    <label class="form-control-label" for="field_tandaJadi">{{'mpmApp.vehicleSalesOrder.tandaJadi'|translate}}</label>
                </div>
                <div class="col-md-3">
                    : {{totalPayment | currency : 'IDR' : true}}
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <input [disabled]="isComplete" type="text" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" class="form-control" [(ngModel)]="data.vrtandajadi" name="tandaJadi" id="field_tandaJadi" maxlength="18"/>
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-3">
                    <label class="form-control-label" for="field_tanggalPembayaran">{{'mpmApp.vehicleSalesOrder.paymentDate'|translate}}</label>
                </div>
                <div class="col-md-3">
                    : {{datePayment| date:'dd-MMM-yyyy'}}
                </div>
                <div class="col-md-6" style="margin-bottom:10px">
                    <div class="input-group input-calendar">
                        <p-calendar 
                            inputId="field_dateCreate2" 
                            [(ngModel)]="data.vrtglpembayaran" 
                            name="input_dateCreate2" 
                            dateFormat="yy-mm-dd" 
                            [showIcon]="true"
                            [disabled]="isComplete"
                            ></p-calendar>
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-3">
                    <label class="form-control-label" for="field_sisa">{{'mpmApp.vehicleSalesOrder.sisa'|translate}}</label>
                </div>
                <div class="col-md-3">
                    <!-- : {{ sisaDibayar | currency : 'IDR' : true}} -->
                    : {{ (data.salesUnitRequirement.minPayment - (totalPayment + totalDisc)) | currency : 'IDR' : true}}
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <input [disabled]="isComplete" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" class="form-control" [(ngModel)]="data.vrsisa" name="sisa" id="field_sisa" maxlength="18"/>
                    </div>
                   <select class="form-control" id="field_saletype" name="saletype" (change)="cekCodPayment(true)" [(ngModel)]="data.vriscod">
                        <option [ngValue]="null">-Please Select-</option>
                        <option [ngValue]="saletype.idSaleType" *ngFor="let saletype of saleTypeChild">
                        {{saletype.description}}
                    </option>
                    </select>
                   </div>
            </div>
        </div>
        
        <div class="col-md-12">
            <label class="form-control-label" for="field_cacatan">{{'mpmApp.vehicleSalesOrder.catatanPermintaanPembayaran'|translate}}</label>
            <div class="form-group">
                <textarea [disabled]="isComplete" pInputTextarea class="form-control" autoResize="true" rows="3" [(ngModel)]="data.vrcatatantambahan" maxlength="150"></textarea>
            </div>
        </div> 
        
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12">
                    <p-radioButton [disabled]="isComplete"  pInputText pTooltip="{{'mpmApp.vehicleSalesOrder.verified'|translate}}" class="labelRadioButton" name="groupVerifikasi" label="{{'mpmApp.vehicleSalesOrder.verified'|translate}}" value="1" [(ngModel)]="data.vrisverified"></p-radioButton>            
                </div>
                <div class="col-md-12">
                    <p-radioButton [disabled]="isComplete"  pInputText pTooltip="{{'mpmApp.vehicleSalesOrder.notverified'|translate}}" class="labelRadioButton" name="groupVerifikasi" label="{{'mpmApp.vehicleSalesOrder.notverified'|translate}}" value="2" [(ngModel)]="data.vrisverified"></p-radioButton>
                </div>              
            </div>
        </div>
        
        <div class="col-md-12">
            <label class="form-control-label" for="field_cacatan">{{'mpmApp.vehicleSalesOrder.catatan'|translate}}</label>
            <div class="form-group">
                <textarea [disabled]="isComplete" pInputTextarea [(ngModel)]="data.vrcatatan" class="form-control" autoResize="true" rows="3"></textarea>
            </div>
        </div>
    </div>

    <div class="ui-g-4">                        
        <button type="button"
            class="btn btn-primary btn-block"
            (click)="updateVerifikasi()"
            [disabled]="isComplete"
            >
            <span class="fa fa-pencil"></span>&nbsp; Update
        </button>                    
    </div>
</div>
</div>

<div *ngIf="data.salesUnitRequirement.idReqTyp == 101 ||
            data.salesUnitRequirement.idReqTyp == 103 ||
            data.salesUnitRequirement.idReqTyp == 104 ||
            data.salesUnitRequirement.idReqTyp == 105">
    <div class="ui-g">
        <div class="ui-g-12">
            <table style="width: 100%;" border="1">
                <tr>
                    <td style="width: 20%"></td>
                    <td style="width: 40%"></td>
                    <td style="width: 40%">Revisi</td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.nama1'|translate}}</td>
                    <td>{{organizationCustomer.organization.name}}</td>
                    <td><input [disabled]="isComplete" type="text" [(ngModel)]="data.vrnama1" style="width:100%" maxlength="50"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.nama2'|translate}}</td>
                    <td></td>
                    <td><input [disabled]="isComplete" [(ngModel)]="data.vrnama2" type="text" style="width:100%" maxlength="50"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.marketName'|translate}}</td>
                    <td>{{data.salesUnitRequirement.productName}}</td>
                    <td><input [disabled]="isComplete" [(ngModel)]="data.vrnamamarket" type="text" style="width:100%" maxlength="50"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.color'|translate}}</td>
                    <td>{{data.salesUnitRequirement.colorDescription}}</td>
                    <td><input [disabled]="isComplete" [(ngModel)]="data.vrwarna" type="text" style="width:100%" maxlength="50"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.productionYear'|translate}}</td>
                    <td>{{data.salesUnitRequirement.productYear}}</td>
                    <td><input [disabled]="isComplete" type="number" [(ngModel)]="data.vrtahunproduksi" style="width:100%" onKeyPress="if(this.value.length==4) return false;" jhiNumbers></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.installment'|translate}}</td>
                    <td>{{data.salesUnitRequirement.creditInstallment}}</td>
                    <td><input currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" [(ngModel)]="data.vrangsuran" type="text" style="width:100%" maxlength="18"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.tenor'|translate}}</td>
                    <td>{{data.salesUnitRequirement.creditTenor}}</td>
                    <td><input [disabled]="isComplete" [(ngModel)]="data.vrtenor" type="number" style="width:100%" jhiNumbers onKeyPress="if(this.value.length==4) return false;"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.leasing'|translate}}</td>
                    <td>{{data.leasingName}}</td>
                    <td><input [disabled]="isComplete" [(ngModel)]="data.vrleasing" type="text" style="width:100%" maxlength="30"></td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.senderDate'|translate}}</td>
                    <td>{{dateSchedulle | date:'yy-mm-dd'}}</td>
                    <td>
                        <p-calendar 
                            inputId="field_dateCreate4" 
                            [(ngModel)]="data.vrtglpengiriman" 
                            name="input_dateCreate4"
                            dateFormat="yy-mm-dd"
                            [style]="{'width':'100%'}"
                            [showIcon]="true"
                            [disabled]="isComplete"
                        ></p-calendar>
                        <div *ngIf="data">
                            {{data.vrtglpengiriman}}
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.senderHour'|translate}}</td>
                    <td>
                        <div *ngIf="dateSchedulle !== null">{{dateSchedulle | date:'HH:mm'}}</div>
                    </td>
                    <td>
                        <input [disabled]="isComplete" [(ngModel)]="data.vrjampengiriman" type="text" style="width:100%" maxlength="20" >
                    </td>
                </tr>
            </table>
            
            <div class="col-md-12" style="border-top:1px solid;padding-top:10px;margin-top:10px;margin-bottom: 10px;">
                <div class="row">
                    <div class="col-md-6">
                        <label class="form-control-label" for="field_tipePenjualan">{{'mpmApp.vehicleSalesOrder.typeSales'|translate}}</label>
                    </div>
                    <div class="col-md-6">
                        <select class="form-control" id="field_product" name="product" [(ngModel)]="data.vrtipepenjualan" >
                            <option [ngValue]="null"></option>                        
                            <option >Regular Sales</option>
                            <option >Credit Sales</option>
                            <option >Regular Sales - Off The Road</option>
                            <option >Credit Sales - Off The Road</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <label class="form-control-label" for="field_dpMurni">{{'mpmApp.vehicleSalesOrder.dpMurni'|translate}}</label>
                    </div>
                    <div class="col-md-3">
                       : {{data.vrdpmurni | currency : 'IDR' : true}}
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input [disabled]="isComplete" type="text" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" [(ngModel)]="data.vrdpmurni" class="form-control" name="dpMurni" id="field_dpMurni" maxlength="18"/>
                        </div>
                    </div>
                </div>
            </div>
        
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <label class="form-control-label" for="field_tandaJadi">{{'mpmApp.vehicleSalesOrder.tandaJadi'|translate}}</label>
                    </div>
                    <div class="col-md-3">
                        : {{totalPayment | currency : 'IDR' : true}}
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input [disabled]="isComplete" type="text" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" class="form-control" [(ngModel)]="data.vrtandajadi" name="tandaJadi" id="field_tandaJadi" maxlength="18"/>
                        </div>
                    </div>
                </div>
            </div>
        
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <label class="form-control-label" for="field_tanggalPembayaran">{{'mpmApp.vehicleSalesOrder.paymentDate'|translate}}</label>
                    </div>
                    <div class="col-md-3">
                        : {{datas.tanggalPembayaran| date:'yy-mm-dd'}}
                    </div>
                    <div class="col-md-6" style="margin-bottom:10px">
                        <div class="input-group input-calendar">
                            <p-calendar 
                                inputId="field_dateCreate2" 
                                [(ngModel)]="data.vrtglpembayaran" 
                                name="input_dateCreate2" 
                                dateFormat="yy-mm-dd" 
                                [showIcon]="true"
                                [disabled]="isComplete"
                                ></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
        
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <label class="form-control-label" for="field_sisa">{{'mpmApp.vehicleSalesOrder.sisa'|translate}}</label>
                    </div>
                    <div class="col-md-3">
                        : {{ (data.salesUnitRequirement.minPayment - (totalPayment + totalDisc)) | currency : 'IDR' : true}}
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input [disabled]="isComplete" currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" class="form-control" [(ngModel)]="data.vrsisa" name="sisa" id="field_sisa" maxlength="18"/>
                        </div>
                       <select class="form-control" id="field_saletype" name="saletype" (change)="cekCodPayment(true)" [(ngModel)]="data.vriscod">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="saletype.idSaleType" *ngFor="let saletype of saleTypeChild">
                            {{saletype.description}}
                        </option>
                        </select>
                       </div>
                </div>
            </div>
            
            <div class="col-md-12">
                <label class="form-control-label" for="field_cacatan">{{'mpmApp.vehicleSalesOrder.catatanPermintaanPembayaran'|translate}}</label>
                <div class="form-group">
                    <textarea pInputTextarea class="form-control" autoResize="true" rows="3" [(ngModel)]="data.vrcatatantambahan" maxlength="150"></textarea>
                </div>
            </div> 
            
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12">
                        <p-radioButton [disabled]="isComplete" pInputText pTooltip="{{'mpmApp.vehicleSalesOrder.verified'|translate}}" class="labelRadioButton" name="groupVerifikasi" label="{{'mpmApp.vehicleSalesOrder.verified'|translate}}" value="1" [(ngModel)]="data.vrisverified"></p-radioButton>            
                    </div>
                    <div class="col-md-12">
                        <p-radioButton [disabled]="isComplete" pInputText pTooltip="{{'mpmApp.vehicleSalesOrder.notverified'|translate}}" class="labelRadioButton" name="groupVerifikasi" label="{{'mpmApp.vehicleSalesOrder.notverified'|translate}}" value="2" [(ngModel)]="data.vrisverified"></p-radioButton>
                    </div>              
                </div>
            </div>
            
            <div class="col-md-12">
                <label class="form-control-label" for="field_cacatan">{{'mpmApp.vehicleSalesOrder.catatan'|translate}}</label>
                <div class="form-group">
                    <textarea [disabled]="isComplete" pInputTextarea [(ngModel)]="data.vrcatatan" class="form-control" autoResize="true" rows="3"></textarea>
                </div>
            </div>
        </div>
    
        <div class="ui-g-4">                        
            <button type="button"
                class="btn btn-primary btn-block"
                (click)="updateVerifikasi()"
                [disabled]="isComplete">
                <span class="fa fa-pencil"></span>&nbsp; Update
            </button>                    
        </div>
    </div>
    </div>